DirectoryIteratorException (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: java.nio.file, class: DirectoryIteratorException
Keywords: java.nio.file.DirectoryIteratorException class

Module java.base
Package java.nio.file

# Class DirectoryIteratorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.ConcurrentModificationException
java.nio.file.DirectoryIteratorException

All Implemented Interfaces:
  `Serializable`

    public final class DirectoryIteratorException
    extends ConcurrentModificationException

Runtime exception thrown if an I/O error is encountered when iterating over the entries in a directory. The I/O error is retrieved as an `IOException` using the `getCause()` method.

Since:
  1.7
See Also:
  `DirectoryStream`, Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DirectoryIteratorException​(IOException cause)` | Constructs an instance of this class.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `IOException` | `getCause()` | Returns the cause of this exception.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DirectoryIteratorException

    public DirectoryIteratorException​(IOException cause)
    Constructs an instance of this class.
    Parameters:
      `cause` - the `IOException` that caused the directory iteration to fail
    Throws:
      `NullPointerException` - if the cause is `null`

- ## Method Details

  - ### getCause

    public IOException getCause()
    Returns the cause of this exception.
    Overrides:
      `getCause` in class `Throwable`
    Returns:
      the cause